.contact-section {
  position: relative;
  margin-bottom: 4rem;
}

.contact-section .contact-left-blob {
  position: absolute;
  inset: 0;
  transform: translateY(-200px);
  z-index: -100;
}

.contact-section .contact-right-blob {
  position: absolute;
  bottom: 0;
  right: 0;
  z-index: -100;
}

.contact-section .section-title,
.contact-section .section-subtitle {
  text-align: center;
}

.contact-wrapper {
  text-align: center;
  margin: 3rem auto;
  width: 70%;
  display: flex;
  border-radius: 10px;
  background-color: white;
  box-shadow: 0px 0px 40px rgba(0, 0, 0, 0.25);
}

.contact-info-col {
  position: relative;
  width: 40%;
  height: auto;
  display: flex;
  flex-direction: column;
  align-items: start;
  justify-content: space-between;
  padding: 1.5rem;
  background-color: #f5f6f6;
}

.contact-abstract-shape {
  max-width: 100%;
  position: absolute;
  bottom: 0;
  right: 0;
}

.contact-info-col h2 {
  font-size: 1.5rem;
  font-weight: 800;
  font-family: "Inter", sans-serif;
}

.contact-information {
  transform: translateY(-70px);
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.contact-info {
  display: flex;
  gap: 1rem;
}

.contact-info .rounded-icon {
  width: 46px;
  height: 46px;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: var(--primary-color);
}

.contact-info .info-details {
  display: flex;
  flex-direction: column;
  justify-content: start;
  align-items: start;
  gap: 0.2rem;
}

.info-details .info-label {
  font-size: 0.85rem;
  font-weight: 500;
  font-family: "Inter", sans-serif;
  color: #817a7a;
}

.info-details .info-value {
  font-size: 1rem;
  font-weight: 600;
  font-family: "Inter", sans-serif;
}

.social-media-contact {
  display: flex;
  gap: 0.5rem;
}

.social-icon {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 8px;
  border-radius: 50%;
  text-decoration: none;
  transition: background-color color 0.3s ease-in-out;
  background-color: var(--secondary-color);
  border: 1px solid var(--secondary-color);
}

.social-icon i.fa-brands {
  color: black;
  font-size: 24px;
  transition: background-color 0.3s ease-in-out;
}

.social-icon:hover {
  color: var(--primary-color);
  background-color: white;
}

.contact-form-col {
  width: 60%;
  padding: 1.5rem;
  display: flex;
  flex-direction: column;
  align-items: start;
  justify-content: start;
  gap: 1rem;
}

.contact-form-col h2 {
  font-size: 1.5rem;
  font-weight: 800;
  font-family: "Inter", sans-serif;
}

.contact-form-col p {
  font-size: 15px;
  font-weight: 500;
  font-family: "Inter", sans-serif;
  color: #989090;
}

.contact-form-col form {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.contact-form-col form #full-name,
.contact-form-col form #email,
.contact-form-col form #phone-number,
.contact-form-col form #message {
  border: 0;
  outline: 0;
  padding: 1rem 1.5rem;
  color: #000000b2;
  border-radius: 40px;
  background-color: #e9e9e9;
  font-size: 0.9rem;
  font-weight: 500;
  color: black;
  font-family: "Inter", sans-serif;
  transition: outline 0s ease-in-out;
}

.contact-form-col form #message {
  resize: none;
}

.contact-form-col form #full-name:focus,
.contact-form-col form #email:focus,
.contact-form-col form #phone-number:focus,
.contact-form-col form #message:focus {
  outline: 2px solid var(--primary-color);
}

.contact-form-col form .submit-button {
  border: 0;
  outline: 0;
  padding: 1rem;
  cursor: pointer;
  font-weight: 700;
  font-size: 0.95rem;
  border-radius: 30px;
  font-family: "Inter", sans-serif;
  background-color: var(--primary-color);
  transition: background-color 0s ease-in-out;
}

.contact-form-col form .submit-button:hover {
  background-color: #e4b100;
}

@media only screen and (max-width: 600px) {
  .contact-wrapper {
    width: 92%;
    flex-direction: column;
  }

  .contact-info-col {
    height: 500px;
    width: 100%;
  }

  .contact-abstract-shape {
    width: 120px;
  }

  .contact-form-col {
    width: 100%;
  }

  .contact-form-col p {
    text-align: left;
  }
}

@media only screen and (min-width: 600px) and (max-width: 1023px) {
  .contact-wrapper {
    width: 92%;
    flex-direction: column;
  }

  .contact-info-col {
    height: 500px;
    width: 100%;
  }

  .contact-form-col {
    width: 100%;
  }

  .contact-form-col p {
    text-align: left;
  }
}
